# Luakit Documentation / Modules / tabgroups

# Module `tabgroups`

Tab groups management module

This module allows you to group opened tabs and switch between different groups and tabs in groups

## Capabilities

## Usage

- Add `require "tabgroups"` to your `rc.lua`.
- Press 'x' to open list of defined tabgroups.
- Press 'X' to open list of tabs in active tabgroup.
- (Optional) add the `tgname` widget to your status bar.

## Troubleshooting

## Files and Directories

## Functions

### tabgroups.open_new_tab_in_tabgroup (w, group, uri, opts)

Open a given uri in a new tab in the given window.

#### Parameters

- w
  Type: table
  The window the tab should be opened in.
- group
  Type: tabgroup
  The tabgroup the new tab should be added to.
- uri
  Type: string
  The uri to be opened.
- opts
  Type: table
  Additional options

### tabgroups.move_tab_to_tabgroup (w, view, group)

Move tab to another tabgroup.

#### Parameters

- w
  Type: table
  The window the tab should be opened in.
- view
  Type: widget
  The webview
- group
  Type: tabgroup
  The tabgroup the new tab should be added to.

### tabgroups.create_tabgroup (w, group_name)

Create a new tabgroup (or fetch one if `group_name` is in use).

#### Parameters

- w
  Type: table
  The window to be associated with the tabgroup.
- group_name
  Type: string
  The name of the new group.

#### Return Values

- table
  The tabgroup, newly created or already existing.

### tabgroups.switch_tabgroup (w, group)

Switch to specified tabgroup

#### Parameters

- w
  Type: table
  A window.
- group
  Type: string
  The name of the tabgroup to switch to.

### tabgroups.delete_tabgroup (w, group)

Delete the specified tabgroup

#### Parameters

- w
  Type: table
  A window.
- group
  Type: string
  The name of the tabgroup to delete.

#### Return Values

- boolean
  nil if only one tabgroup exists, true otherwise.

### tabgroups.current_tabgroup (object, w)

Return the name of the current tabgroup.

#### Parameters

- object
  Type: any type
  The object to set up for signals.
- w
  Type: table
  A window.

#### Return Values

- string
  The name of w's current tabgroup.

## Attribution

#### Copyright

- 2017 Serg Kozhemyakin